---
template: index.html
title: Minimalistic, powerful and extremely customizable Zsh prompt
hide:
  - navigation
hero:
  title: Minimalistic, powerful and extremely customizable Zsh prompt
  subtitle: It combines everything you may need for convenient work, without unnecessary complications, like a real spaceship.
  install_button: Getting Started
  source_button: Source Code
features:
  - title: Clean and simple
    image: /assets/what-is-needed.svg
    description: The prompt is not overloaded, it shows only what you need at the moment (current directory, git branch, etc).
  - title: Easy to set up
    image: /assets/out-of-the-box.svg
    description: The prompt works right after installation without any additional configuration. install it and use it.
  - title: Configurable
    image: /assets/configurable.svg
    description: The prompt is zero-config, but if a customization is needed, it provides an easy-to-use interface for customization.
---

# Welcome aboard, Astronaut!

[![SWUbanner](https://raw.githubusercontent.com/vshymanskyy/StandWithUkraine/main/banner-direct-single.svg)](https://stand-with-ukraine.pp.ua)

<p align="center">
  <img alt="Spaceship with Hyper and One Dark" src="https://user-images.githubusercontent.com/10276208/36086434-5de52ace-0ff2-11e8-8299-c67f9ab4e9bd.gif" width="980px">
</p>

## Features

**Spaceship** is packed with cool features. Here are some sneak picks:

- Clever hostname, username and prompt character displaying.
- Current Git and Mercurial repo statuses.
- Indicator for jobs in the background `✦`.
- Current version of Node.js `⬢`, Ruby `💎`, Elm `🌳`, Elixir `💧`, Swift `🐦`, Xcode `🛠`, Go `🐹`, PHP `🐘`, Rust `𝗥`, Haskell `λ`, Julia `ஃ`, Python `🐍`, Conda `🅒`, .NET SDK `.NET`, Ember.js `🐹`.
- Package version, if there's is a package in current directory `📦`.
- Current Docker version and connected machine `🐳`.
- Current Amazon Web Services (AWS) profile `☁️` ([Using named profiles](http://docs.aws.amazon.com/cli/latest/userguide/cli-multiple-profiles.html)).
- Current Google Cloud Platform gcloud active configuration `☁️`.
- Current Kubectl context `☸️`.
- Current Terraform workspace `🛠`.
- Current battery level and status.
- Current Vi-mode mode ([with handy aliases for temporarily enabling](./options.md#vi-mode-vi_mode)).
- Execution time of the last command if it exceeds the set threshold.

Want more features? Please, [open an issue](https://github.com/spaceship-prompt/yspaceship-prompt/issues/new/choose) or send pull request.

<!-- prettier-ignore -->
!!! tip
    Follow [our Twitter](//twitter.com/SpaceshipPrompt) to keep yourself updated about new features, improvements, and bugfixes.

## Related Projects

Here's a list of related projects that have been inspired by Spaceship ZSH.

- [**matchai/spacefish**](https://github.com/matchai/spacefish) - A port of Spaceship ZSH for fish shell intending to achieve complete feature parity.
- [**starship/starship**](https://github.com/starship/starship) - A blazing-fast, cross-shell prompt written in Rust, heavily inspired by Spaceship ZSH.

## Support

Hi! I work on this project in my spare time, in addition to my primary job. I hope you enjoy using Spaceship. If you do, please, [become my patron 🤝][patreon-url].

|                                                                       Patreon                                                                       |                                                            Bitcoin                                                             |                                                            Ethereum                                                            |
| :-------------------------------------------------------------------------------------------------------------------------------------------------: | :----------------------------------------------------------------------------------------------------------------------------: | :----------------------------------------------------------------------------------------------------------------------------: |
|                                                           [Become a patron][patreon-url]                                                            |                                              `1FrPrQb6ACTkbSBAz9PduJWrDFfq41Ggb4`                                              |                                          `0x6aF39C917359897ae6969Ad682C14110afe1a0a1`                                          |
| <a href="https://www.patreon.com/spaceship-prompt"><img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="150px"></a> | <img src="https://user-images.githubusercontent.com/3459374/33760933-1c9b81b4-dc10-11e7-8e4b-22d81f98c138.png" width="100px"/> | <img src="https://user-images.githubusercontent.com/3459374/33760932-1c7b3fb2-dc10-11e7-9774-411264d533da.png" width="100px"/> |

This is your way make a clear statement: **My work is valued.**

I would appreciate your support! _Thank you!_

## License

MIT © [Denys Dovhan](http://denysdovhan.com)

[patreon-url]: https://www.patreon.com/denysdovhan
[patreon-image]: https://img.shields.io/badge/zsh-%3E%3Dv5.2-777777.svg?style=flat-square
